﻿namespace Sharing.DaoShu110
{
    /// <summary>
    /// A unified format for processing data returns
    /// </summary>
    /// <typeparam name="TResult"></typeparam>
    public class ApiResult<TResult> : ApiResult, IApiResult<TResult>
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ApiResult{TResult}"/> class.
        /// </summary>
        public ApiResult() { }

        /// <summary>
        /// Initializes a new instance of the <see cref="ApiResult{TResult}" /> class.
        /// </summary>
        /// <param name="result">The result.</param>
        /// <param name="statusCode">The status code.</param>
        public ApiResult(TResult result, int? statusCode, string message = "")
        {
            code = statusCode ?? 1;
            data = result;
            msg = string.IsNullOrEmpty(message) ? "请求成功" : message;
        }

        /// <summary>
        /// Gets or sets the result.
        /// </summary>
        /// <value>The result.</value>
        public TResult data { get; set; }
    }
}