﻿using XF.Domain.Dependency;

namespace Sharing.Enterprise
{
    public class EnterprisePusherProvider : IScopeDependency, ISelfDependency
    {
        private readonly EnterpriseClient _enterpriseClient;

        public EnterprisePusherProvider(EnterpriseClient enterpriseClient)
        {
            _enterpriseClient = enterpriseClient;
        }

        public IEnterprisePusherProvider CreatePusher(IChannelConfigurationManager channelConfigurationManager)
        {
            var configProvince = channelConfigurationManager.GetConfigurationEnterprise();
            return configProvince.Scheme switch
            {
                ConfigurationConsts.SchemeDefault => new DefaultPusher(_enterpriseClient),
                ConfigurationConsts.SchemeSmart => new SmartPusher(),
                _ => new DefaultPusher(_enterpriseClient)
            };
        }
    }
}



