﻿namespace Sharing;

public class ChannelConfiguration
{
    /// <summary>
    /// 省12345
    /// </summary>
    public ConfigurationProvince Province { get; set; }

    /// <summary>
    /// 企业服务
    /// </summary>
    public ConfigurationEnterprise Enterprise { get; set; }

    /// <summary>
    /// 市州数据交换
    /// </summary>
    public ConfigurationCityHandOver CityHandOver { get; set; }

    /// <summary>
    /// 系统市州编码
    /// </summary>
    public ConfigurationCityCode CityCode { get; set; }

    /// <summary>
    /// 融媒体
    /// </summary>
    public ConvergenceMediaCode MediaCode { get; set; }
}

/// <summary>
/// 省12345
/// </summary>
public class ConfigurationProvince
{
    public string HuiJu { get; set; } = string.Empty;
    public string XieTong { get; set; } = string.Empty;
    public string ClientId { get; set; } = string.Empty;
    public string ClientSecret { get; set; } = string.Empty;
    public string Scheme { get; set; } = ConfigurationConsts.SchemeDefault;
}

/// <summary>
/// 企业服务
/// </summary>
public class ConfigurationEnterprise
{
    /// <summary>
    /// 请求的址
    /// </summary>
    public string AddressUrl { get; set; } = string.Empty;

    /// <summary>
    /// id
    /// </summary>
    public string ClientId { get; set; } = string.Empty;

    /// <summary>
    /// 密钥
    /// </summary>
    public string ClientSecret { get; set; } = string.Empty;

    /// <summary>
    /// 
    /// </summary>
    public string TenantId { get; set; } = string.Empty;

    /// <summary>
    /// 
    /// </summary>
    public string Scheme { get; set; } = ConfigurationConsts.SchemeDefault;
}

/// <summary>
/// 市州数据交换
/// </summary>
public class ConfigurationCityHandOver
{
    /// <summary>
    /// 密钥
    /// </summary>
    public string SecretKey { get; set; } = string.Empty;

    /// <summary>
    /// 请求市州名称
    /// </summary>
    public string SendCityName { get; set; } = string.Empty;

    /// <summary>
    /// 接收市州名称
    /// </summary>
    public string ReceiveCityName { get; set; } = string.Empty;

    /// <summary>
    /// 请求地址
    /// </summary>
    public string BaseUrl { get; set; } = string.Empty;

    /// <summary>
    /// 接口地址
    /// </summary>
    public string UrlAddress { get; set; } = string.Empty;
}

/// <summary>
///融媒体
/// </summary>
public class ConvergenceMediaCode
{
    /// <summary>
    /// 
    /// </summary>
    public string MediaCode { get; set; }
}

/// <summary>
/// 系统市州编码
/// </summary>
public class ConfigurationCityCode
{
    /// <summary>
    /// 
    /// </summary>
    public string AreaCode { get; set; } = string.Empty;
}