﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.Enterprise
{
    /// <summary>
    /// 企业服务-数据撤销
    /// </summary>
    [Description("12345平台撤销涉企工单推送至服务企业平台")]
    public class DataWorkOrderCancel : CreationModificationEntity
    {
        /// <summary>
        /// 服务工单编号
        /// </summary>
        public string WorkOrderNo { get; set; }

        /// <summary>
        /// 撤销原因
        /// </summary>
        public string Reason { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "0";

        /// <summary>
        /// 接口返回结果
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public string ReturnResult { get; set; }
    }
}
